Bug 16437 - update request: virtualbox 5.0.2
Summary: update request: virtualbox 5.0.2
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 5
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA4TOO MGA4-32-OK MGA4-64-OK MGA5-32...
Keywords: validated_update
Depends on:
Blocks:
 
Reported: 2015-07-22 00:47 CEST by Thomas Backlund
Modified: 2015-09-10 00:38 CEST (History)
8 users (show)

See Also:
Source RPM: virtualbox
CVE:
Status comment:


Attachments
i586 kernel panic (61.74 KB, image/png)
2015-08-17 19:43 CEST, Dave Hodgins
Details

Description Thomas Backlund 2015-07-22 00:47:10 CEST
Advisory:
This update provides the new VirtualBox 5 that comes with improved
security and performance and USB 3 support.

Note, for USB2/3 support you need to update/install the matching Extension
Pack from: https://www.virtualbox.org/wiki/Downloads

References:
https://www.oracle.com/corporate/pressrelease/oracle-vm-virtualbox-5-070915.html
https://www.virtualbox.org/wiki/Changelog



SRPMS:
kmod-vboxadditions-5.0.0-1.mga5.src.rpm
kmod-virtualbox-5.0.0-1.mga5.src.rpm
virtualbox-5.0.0-1.mga5.src.rpm



i586:
dkms-vboxadditions-5.0.0-1.mga5.noarch.rpm
dkms-virtualbox-5.0.0-1.mga5.noarch.rpm
python-virtualbox-5.0.0-1.mga5.i586.rpm
vboxadditions-kernel-3.19.8-desktop-3.mga5-5.0.0-1.mga5.i586.rpm
vboxadditions-kernel-3.19.8-desktop586-3.mga5-5.0.0-1.mga5.i586.rpm
vboxadditions-kernel-3.19.8-server-3.mga5-5.0.0-1.mga5.i586.rpm
vboxadditions-kernel-desktop586-latest-5.0.0-1.mga5.i586.rpm
vboxadditions-kernel-desktop-latest-5.0.0-1.mga5.i586.rpm
vboxadditions-kernel-server-latest-5.0.0-1.mga5.i586.rpm
virtualbox-5.0.0-1.mga5.i586.rpm
virtualbox-devel-5.0.0-1.mga5.i586.rpm
virtualbox-guest-additions-5.0.0-1.mga5.i586.rpm
virtualbox-kernel-3.19.8-desktop-3.mga5-5.0.0-1.mga5.i586.rpm
virtualbox-kernel-3.19.8-desktop586-3.mga5-5.0.0-1.mga5.i586.rpm
virtualbox-kernel-3.19.8-server-3.mga5-5.0.0-1.mga5.i586.rpm
virtualbox-kernel-desktop586-latest-5.0.0-1.mga5.i586.rpm
virtualbox-kernel-desktop-latest-5.0.0-1.mga5.i586.rpm
virtualbox-kernel-server-latest-5.0.0-1.mga5.i586.rpm



x86_64:
dkms-vboxadditions-5.0.0-1.mga5.noarch.rpm
dkms-virtualbox-5.0.0-1.mga5.noarch.rpm
python-virtualbox-5.0.0-1.mga5.x86_64.rpm
vboxadditions-kernel-3.19.8-desktop-3.mga5-5.0.0-1.mga5.x86_64.rpm
vboxadditions-kernel-3.19.8-server-3.mga5-5.0.0-1.mga5.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.0.0-1.mga5.x86_64.rpm
vboxadditions-kernel-server-latest-5.0.0-1.mga5.x86_64.rpm
virtualbox-5.0.0-1.mga5.x86_64.rpm
virtualbox-devel-5.0.0-1.mga5.x86_64.rpm
virtualbox-guest-additions-5.0.0-1.mga5.x86_64.rpm
virtualbox-kernel-3.19.8-desktop-3.mga5-5.0.0-1.mga5.x86_64.rpm
virtualbox-kernel-3.19.8-server-3.mga5-5.0.0-1.mga5.x86_64.rpm
virtualbox-kernel-desktop-latest-5.0.0-1.mga5.x86_64.rpm
virtualbox-kernel-server-latest-5.0.0-1.mga5.x86_64.rpm


Reproducible: 

Steps to Reproduce:
Comment 1 David Walser 2015-07-23 00:40:32 CEST
I haven't upgraded my machine at home to Mageia 5 yet, so I haven't been able to test it there (and it'll probably be a few weeks until that happens unfortunately), but I did test it at work with the Windows 7 and Debian VMs that our students will be running on Mageia starting this Friday, and they seem to work fine.  Unfortunately I can't update the guest additions on the Windows VM since it's already been deployed.  Other than the popup message that only lasts for a few seconds, there doesn't seem to be any ill effects from that.
Florian Hubold 2015-07-24 00:19:16 CEST

CC: (none) => doktor5000

Comment 2 Otto Leipälä 2015-07-24 20:39:38 CEST
Runs fine in Mageia 5 64bit no any problems found....

CC: (none) => ozkyster

Comment 3 William Kenney 2015-07-25 00:31:55 CEST
On real hardware, M5, KDE, 64-bit

Package(s) under test:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
nvidia-current-kernel-desktop-latest

default install of:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
nvidia-current-kernel-desktop-latest

[root@localhost wilcal]# uname -a
Linux localhost 3.19.8-desktop-3.mga5 #1 SMP Sat Jun 13 17:05:48 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.19.8-3.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-4.3.28-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-4.3.28-3.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-4.3.28-1.mga5.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-4.3.28-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-4.3.28-3.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-4.3.28-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi nvidia-current-kernel-desktop-latest
Package nvidia-current-kernel-desktop-latest-346.72-2.mga5.nonfree.x86_64 is already installed
[root@localhost wilcal]# lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_current

Created clients:
M4.1 i586 KDE Live-CD runs as a Vbox client. Screen sizes are correct. Sound ok
M5 x86_64 KDE CI installed and runs as a Vbox client. Screen sizes are correct. Sound ok

install from updates_testing:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
nvidia-current-kernel-desktop-latest
from updates_testing

[root@localhost wilcal]# uname -a
Linux localhost 3.19.8-desktop-3.mga5 #1 SMP Sat Jun 13 17:05:48 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.19.8-3.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.0.0-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.0.0-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.0.0-1.mga5.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.0.0-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.0.0-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.0.0-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi nvidia-current-kernel-desktop-latest
Package nvidia-current-kernel-desktop-latest-346.82-1.mga5.nonfree.x86_64 is already installed
[wilcal@localhost ~]$ lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_current

Clients created Pre-update:
M4.1 i586 KDE Live-CD runs as a Vbox client. Screen sizes are correct. Sound ok
M5Final x86_64 KDE CI installed and runs as a Vbox client. Screen sizes are correct. Sound ok

Clients created Post-update:
M5 x86_64 KDE Live-DVD runs as a Vbox client. Screen sizes are correct. No Sound
M5 i586 KDE CI installed. Runs as a Vbox client. Screen sizes are correct. No Sound

Vbox extentions work pre and post updates.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Mageia 4 64-bit, Nvidia driver

CC: (none) => wilcal.int

Comment 4 William Kenney 2015-07-25 00:34:56 CEST
For some reason after the upgrade the two clients I created had no sound.
The original clients created pre-upgrade still had sound and played with
the upgraded Vbox. Either I don't understand something or there's a problem
here. I'm gonna put it all down for a day or so and look at it again later.
Comment 5 Otto Leipälä 2015-07-25 10:12:16 CEST
Wilcal no any bad but you post too long post when you testing you need to clean up this.
Every information is provided by packager in that list in up of page what you post here.

You only need to say it i start to test virtualbox both arch releases,then validate it don't need to post 5 this kind of too long post.


On real hardware, M5, KDE, 64-bit

Package(s) under test:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
nvidia-current-kernel-desktop-latest

default install of:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
nvidia-current-kernel-desktop-latest

[root@localhost wilcal]# uname -a
Linux localhost 3.19.8-desktop-3.mga5 #1 SMP Sat Jun 13 17:05:48 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.19.8-3.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-4.3.28-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-4.3.28-3.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-4.3.28-1.mga5.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-4.3.28-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-4.3.28-3.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-4.3.28-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi nvidia-current-kernel-desktop-latest
Package nvidia-current-kernel-desktop-latest-346.72-2.mga5.nonfree.x86_64 is already installed
[root@localhost wilcal]# lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_current

Created clients:
M4.1 i586 KDE Live-CD runs as a Vbox client. Screen sizes are correct. Sound ok
M5 x86_64 KDE CI installed and runs as a Vbox client. Screen sizes are correct. Sound ok

install from updates_testing:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
nvidia-current-kernel-desktop-latest
from updates_testing

[root@localhost wilcal]# uname -a
Linux localhost 3.19.8-desktop-3.mga5 #1 SMP Sat Jun 13 17:05:48 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.19.8-3.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.0.0-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.0.0-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.0.0-1.mga5.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.0.0-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.0.0-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.0.0-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi nvidia-current-kernel-desktop-latest
Package nvidia-current-kernel-desktop-latest-346.82-1.mga5.nonfree.x86_64 is already installed
[wilcal@localhost ~]$ lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_current

Clients created Pre-update:
M4.1 i586 KDE Live-CD runs as a Vbox client. Screen sizes are correct. Sound ok
M5Final x86_64 KDE CI installed and runs as a Vbox client. Screen sizes are correct. Sound ok

Clients created Post-update:
M5 x86_64 KDE Live-DVD runs as a Vbox client. Screen sizes are correct. No Sound
M5 i586 KDE CI installed. Runs as a Vbox client. Screen sizes are correct. No Sound

Vbox extentions work pre and post updates.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Mageia 4 64-bit, Nvidia driver
Comment 6 William Kenney 2015-07-25 11:31:50 CEST
(In reply to Otto Leipälä from comment #5)

> You only need to say it i start to test virtualbox both arch releases,then
> validate it don't need to post 5 this kind of too long post.

Well I wish I could agree with you but on this one there are so many moving parts with Vbox that IMO they all need to be documented in the BUG that they are being testing. This has got to be my 20th or so Vbox test I've done over the years and one little part gone missing or wrong and the whole does not work. Especially when your dealing with an Nvidia frame buffer. Unfortunately this time there appears to be something gone amiss with the sound. It takes me the better part of a day to go through the testing of Vbox and that's just for one arch.
Comment 7 William Kenney 2015-07-25 16:45:55 CEST
On:

https://virtualbox.org/wiki/Downloads

There appears to be no extensions for Vbox Ver 5.0. Does that mean that
Extension_Pack-4.3.30-101610 is not an alternative?
Comment 8 Otto Leipälä 2015-07-25 16:50:19 CEST
Is there

http://download.virtualbox.org/virtualbox/5.0.0/Oracle_VM_VirtualBox_Extension_Pack-5.0.0-101573.vbox-extpack


VirtualBox 5.0 Oracle VM VirtualBox Extension Pack  All supported platforms "here is where it should be downloaded"


Support for USB 2.0 devices, VirtualBox RDP and PXE boot for Intel cards. See this chapter from the User Manual for an introduction to this Extension Pack. The Extension Pack binaries are released under the VirtualBox Personal Use and Evaluation License (PUEL).
Please install the extension pack with the same version as your installed version of VirtualBox! 
If you are using VirtualBox 4.3.30, please download the extension pack  here.
If you are using VirtualBox 4.2.32, please download the extension pack  here.
If you are using VirtualBox 4.1.40, please download the extension pack  here.
If you are using VirtualBox 4.0.32, please download the extension pack  here.
VirtualBox 5.0 Software Developer Kit (SDK)  All platforms
Comment 9 William Kenney 2015-07-25 17:07:42 CEST
Many thanks Otto. More testing on my part today.
Comment 10 William Kenney 2015-07-25 20:38:57 CEST
Start with a clean 160GB drive ( killdisk.com )
64-bit M5 boot.iso install KDE
Set up basic system
Turn off Shockwave Flash ( forces html5 )
Play YouTube Video. Video & Audio play just fine
Install VirtualBox 5.0 from Updates testing ( no Extensions )
Create Vbox Client ( M5 i586 Live-CD )
Launch Client
Open Firefox ( No Shockwave Flash )
Play YouTube Video
Video is fine. No sound.
This update is broken.
Comment 11 William Kenney 2015-07-25 20:43:34 CEST
Also note that when the Client boots to desktop, and powers down,
there is no system "ping".
Comment 12 William Kenney 2015-07-26 02:56:48 CEST
No sound in VirtualBox ( 5.0 ) with Mint 17.2

Posted  on 21 July 2015

http://forums.linuxmint.com/viewtopic.php?f=231&t=200685
Comment 13 Brian Rockwell 2015-07-26 15:32:27 CEST
FYI - ran into a similar no sound situation on a Window 8 install of VBOX 5.  That was an AMD APU and AMD chipset with an installation of LMDE (Linux Mint Debian).  Not sure if they could be related.

FYI - on Athlon X3 (Non-APU) was able to get sound working when building VM under Vbox 4.3.28.  Then replaced the elements with VBox 5.  I'm playing music via Videos application (KDE), not via YouTube (FireFox).  It is working there

CC: (none) => brtians1

Comment 14 Otto Leipälä 2015-07-26 16:09:02 CEST
Is task-codecs installed ?????? have somebody heard that kde use phonon-vlc as default and firefox use pure gstreamer so you need to have right codecs installed.
Comment 15 William Kenney 2015-07-26 16:38:22 CEST
(In reply to Otto Leipälä from comment #14)

> Is task-codecs installed ?????? have somebody heard that kde use phonon-vlc
> as default and firefox use pure gstreamer so you need to have right codecs
> installed.

Bottom line here. The Host system(s) work just fine. The Vbox V5.0 created client
does not play any sounds including system sounds. Playing YouTube Firefox
html5 videos on real hardware with the KDE Live-CD works just fine. It  does
not in a Vbox V5.0 client. This issue is being reported upstream. I don't think
there's anything we can do to remedy this. That has to be done upstream.
Comment 16 Brian Rockwell 2015-07-26 16:48:27 CEST
I built and Mageia 5 x86_64 and tried the Mageia 5 i586 installations.

Anything built with VBox 5 will not play sounds.  VM's built with with 4.3.1.26 play sound even on VBox 5 so there is something going on when it assembled with VM.  Definitely seems upstream, especially since I experienced this with Windows 8.1 running Vbox 5 prior to this.

Let's hope there is an upstream patching coming for this soon.

Brian
Comment 17 William Kenney 2015-07-26 17:20:36 CEST
Thanks for confirming this Brian. Super Job.
Comment 18 Otto Leipälä 2015-07-26 17:33:49 CEST
I can't confirm this as my windows 8.1 guest sound work Mageia 4 32&64 guest sound works.

This is not confirmed upstream as i have made these images using virtualbox so there is no bug officially.
Comment 19 Otto Leipälä 2015-07-26 17:44:09 CEST
I tested it problem is clear i couldn't get sound working if i try to update my host os vbox to 5.0 and try to use guest additions 4.3.* inside Mageia 5 guest os then sound is broked.
Comment 20 William Kenney 2015-07-26 17:46:05 CEST
Do note in my comment 3 that two M4.1 clients created with Vbox 4.3.28-1 do
in fact play sound when played as a client in Vbox 5. But, for me and others
creating any client with Vbox 5 results in a client that does not play sound.
Is it a Mageia problem or a Vbox problem?
Comment 21 Otto Leipälä 2015-07-26 17:50:49 CEST
Mageia not vbox as i found this link from vbox forum where their dev says it's host os problem.

https://forums.virtualbox.org/viewtopic.php?f=3&t=69088#p329266
Comment 22 Thomas Backlund 2015-07-26 20:13:19 CEST
Audio is not broken, atleast not here, it's just silenced.

I guess it's depeending of POV a feature or a fallout of:
* New, modular audio architecture for providing a better abstraction of the host audio backends 


If you use default audio setup on the vm, it uses pulseaudio as host audio driver.

If so, with the vm running you might need to go to pavucontrol on the host and  change audio settings for the silent vm in question.


If that does not work, you can try to switch to alsa as host audio driver and test that. if it works you try to switch back to pulseaudio and see if it works then
Comment 23 William Kenney 2015-07-26 20:54:39 CEST
(In reply to Thomas Backlund from comment #22)

> If so, with the vm running you might need to go to pavucontrol on the host
> and  change audio settings for the silent vm in question.
> 
> 
> If that does not work, you can try to switch to alsa as host audio driver
> and test that. if it works you try to switch back to pulseaudio and see if
> it works then

Using the drive/setup I used in my Comment #10

I set the Client setup to be Also and the M5 i586 Live-CD still has no sound.
Because the Live-CD defaults to Pulseaudio I cannot set that to ALSA.
I then set the host system to ALSA rebooted and there was still no sound.
Comment 24 Thomas Backlund 2015-07-26 21:11:36 CEST
Sorry, I was not clear

I didn't say you should change the host audio system, I meant:

Start VirtualBox Manager
Right-click on the VM
choose "Settings"
Go down to "Audio"

there toy can change "Host Audio Controller"


and did you check pavucontrol settings?

and if you test youtube without flash, are you sure you have all needed codecs installed...

I only tested with flash-player and had no problem with audio on youtube
Comment 25 William Kenney 2015-07-26 21:24:01 CEST
OK back to a M5 64-bit, Vbox5, M5 i586 KDE installed client system. No sound.
Host is now set to ALSA.
Open Vbox client settings -> Audio -> Host Driver: ALSA Audio Driver
Still no sound. Should I be reinstalling this client all over again with
the new ALSA settings?
Comment 26 William Kenney 2015-07-26 21:53:21 CEST
Note: The only time I am seeing the no sound issue is if I create the client under Vbox 5. If I have previously created the client using Vbox 4.3.28-1
that will in fact play with sound using Vbox 5. If I have upgraded to Vbox 5
that will now play all the clients created with Vbox 4.3.28-1 but cannot
create any client that plays with sound. Any sound not just Firefox. It won't
even play system sounds ( gong ) or an mp3 file with VLC.
Comment 27 Otto Leipälä 2015-07-26 22:05:44 CEST
Is this wilcal same what is was with Mga5 live image testing with firefox youtube html5 that you couldn't believe that in live mode without tainted codecs youtube video not works ?.
Comment 28 William Kenney 2015-07-26 22:20:25 CEST
(In reply to Otto Leipälä from comment #27)

> Is this wilcal same what is was with Mga5 live image testing with firefox
> youtube html5 that you couldn't believe that in live mode without tainted
> codecs youtube video not works ?.

I should really take Firefox out of this. When I say there are no sounds I'm saying no sounds at all. That includes the system power on and off "gong" and playing an mp3 file using VLC. Nothing, dead silence. Forget Firefox.
Thanks for your efforts to help find out what's going on here. I really
would like to move on to Vbox5.
Comment 29 William Kenney 2015-07-26 22:37:31 CEST
In order to simplify this I think I'm gonna take the sound
test down to running this command in a terminal:

ffplay /usr/share/sounds/KDE-K3B-Finish-Success.ogg

No "ping", no sound. This should work in all the Live media
without the need for any codecs.
Comment 30 William Kenney 2015-07-26 23:00:51 CEST
ffplay is not in the Live-CD's so in that case I'll use:

vlc /usr/share/sounds/KDE-K3B-Finish-Success.ogg

Works in user terminal.
Comment 31 Florian Hubold 2015-07-27 22:37:39 CEST
(In reply to William Kenney from comment #30)
> ffplay is not in the Live-CD's so in that case I'll use:
> 
> vlc /usr/share/sounds/KDE-K3B-Finish-Success.ogg

FWIW, most basic player is paplay.
Comment 32 William Kenney 2015-07-27 23:19:24 CEST
(In reply to Florian Hubold from comment #31)

> FWIW, most basic player is paplay.

Thanks Florian. I gotta take this down to the most basic player.
Comment 33 Otto Leipälä 2015-07-28 16:51:57 CEST
(In reply to William Kenney from comment #29)
> In order to simplify this I think I'm gonna take the sound
> test down to running this command in a terminal:
> 
> ffplay /usr/share/sounds/KDE-K3B-Finish-Success.ogg
> 
> No "ping", no sound. This should work in all the Live media
> without the need for any codecs.

Did you check if your stereo is turned on ? as normal computer have no any speakers by default only laptops have.
Comment 34 Otto Leipälä 2015-07-28 17:03:08 CEST
Have you wilcal updated inside that vbox live image guest additions to virtualbox-guest-additions-5.0.0-1.mga5.i586.rpm ? that can be big problem if you use 4.3 guest additions with virtualbox 5.0 they are not compatible and broke sound.
Comment 35 William Kenney 2015-07-28 18:25:01 CEST
(In reply to Otto Leipälä from comment #34)

> Have you wilcal updated inside that vbox live image guest additions to
> virtualbox-guest-additions-5.0.0-1.mga5.i586.rpm ? that can be big problem
> if you use 4.3 guest additions with virtualbox 5.0 they are not compatible
> and broke sound.

On Host:

[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.0.0-1.mga5.x86_64 is already installed
Comment 36 William Kenney 2015-07-28 18:44:46 CEST
To make this as simple as possible I have created an entire drive specifically
for testing this. I use a modular/removable/replaceable hard drive subsystem.
Installed there is a M5 KDE x86-64 drive. I did not install Vbox 4.3.28-1 on it.
I only installed from update testing Vbox 5.0.0-1. In order to test the sound
across all the platforms I run the following in a user terminal:

paplay /usr/share/webkitgtk-1.0/resources/audio/Composite.wav  ( Pulseaudio running )
or
vlc    /usr/share/webkitgtk-1.0/resources/audio/Composite.wav  ( ALSA running )

No codecs needed. Seems to run fine in a Vbox 4.3.28-1 client

I have tried this with both ALSA and Pulseaudio on the host and there is no sound
from the client with either. I can keep this drive indefinitely and continue to
run tests. My Vbox test client of choice is M5 i586 KDE Live-CD.

Feel free to make any testing suggestions. Do note that to rebuild this
drive takes about an hour.

Examples:

On the host now running ALSA:

vlc    /usr/share/webkitgtk-1.0/resources/audio/Composite.wav ( sound )

running on the client:

vlc    /usr/share/webkitgtk-1.0/resources/audio/Composite.wav ( no sound )

The client was installed while the host was in ALSA mode.
Comment 37 Manuel Hiebel 2015-07-28 19:53:35 CEST
my vm are all working fine (win7, 8.1, 2012 R2 and debian) and sound working (with graphic)
Comment 38 William Kenney 2015-07-28 20:20:31 CEST
(In reply to Manuel Hiebel from comment #37)

> my vm are all working fine (win7, 8.1, 2012 R2 and debian) and sound working
> (with graphic)

Try building a new client. Updating to Vbox 5.0 and running clients previously created with 4.3.28-1 will play with sound just fine. Reproduce exactly as I have.
Comment 39 Brian Rockwell 2015-07-29 05:05:49 CEST
if I wanted to absolutely make sure I have no 4.3 code being executed, is there a particular directory or code I could manually remove to be certain.
Comment 40 Otto Leipälä 2015-07-29 08:31:42 CEST
(In reply to William Kenney from comment #35)
> (In reply to Otto Leipälä from comment #34)
> 
> > Have you wilcal updated inside that vbox live image guest additions to
> > virtualbox-guest-additions-5.0.0-1.mga5.i586.rpm ? that can be big problem
> > if you use 4.3 guest additions with virtualbox 5.0 they are not compatible
> > and broke sound.
> 
> On Host:
> 
> [root@localhost wilcal]# urpmi virtualbox-guest-additions
> Package virtualbox-guest-additions-5.0.0-1.mga5.x86_64 is already installed


You didn't aswer my question is your inside virtualbox installed linux guest additions updated to 5.0 not main install.

Do not ever install guest additions to host os as they should be only installed inside virtualbox installed system,not to your main install what is not guest system this can also break something.
Comment 41 William Kenney 2015-07-29 19:04:09 CEST
OK. Working with the M5 host where Vbox 5 was installed, not upgraded to.
ALSA driver is on host. virtualbox-guest-additions 5.0.0.1.mg5 was installed
on this host so I de-installed it. 4.3.28.1 & 5.0.0.1 are both available
for install in the MCC. Sound on host works fine with:

vlc    /usr/share/webkitgtk-1.0/resources/audio/Composite.wav
vlc    /usr/share/sounds/pop.wav

The Vbox Client, M4.1 i586 KDE Live-CD, is using virtualbox-guest-additions 4.3.10.1.1.mga4.
In a terminal: paplay /usr/share/sounds/pop.wav No sound.
Firefox 24.5 plays YouTube videos using HTML5. No sound.
No system sounds at log in or log out.

The Vbox Client, M5 i586 KDE Live-CD, is using virtualbox-guest-additions 4.3.28.1.mga5.
In a terminal: vlc /usr/share/webkitgtk-1.0/resources/audio/Composite.wav no sound
Firefox 31.7.0 plays YouTube videos using HTML5. No sound.
No system sounds at log in or log out.
Comment 42 Thomas Backlund 2015-07-30 00:22:37 CEST
OK, found the issue.

In the VM settings, on the "Audio" section, the default "Audio Controller" is "ICH AC97"

That stays silent.

If you change that to "Intel HD Audio" you will get sound.

I guess I should adapt the defaults for new systems of Vbox 5 to the newer HD Audio interface.
Comment 43 William Kenney 2015-07-30 03:46:41 CEST
Many thanks to everyone for working on this now very difficult upgrade.

I think we're half way there.

I continue to work with the M5 host where Vbox 5 was installed, not upgraded to.
Host is now changed back to Pulseaudio. Vbox clients Audio set to Controller Intel HD Audio.

The Vbox Client, M5 i586 KDE Live-CD, is using virtualbox-guest-additions 4.3.28.1.mga5.
In a terminal: vlc /usr/share/webkitgtk-1.0/resources/audio/Composite.wav plays just fine
Firefox 31.7.0 plays YouTube videos using HTML5. Videos play just fine with sound.
System sounds at log in and log out.

The Vbox Client, M4.1 i586 KDE Live-CD, is using virtualbox-guest-additions 4.3.10.1.1.mga4.
In a terminal: paplay /usr/share/sounds/pop.wav No sound.
Firefox 24.5 plays YouTube videos using HTML5. No sound.
No system sounds at log in or log out.

So it kinda looks like M5 clients are fine and M4.1 clients continue to not have any sound.
I did upgrade the M4.1 i586 KDE Live-CD Vbox client with:
virtualbox-guest-additions-4.3.28-1.mga4 but that didn't work.
Time out. Back at it tomorrow.
Comment 44 Otto Leipälä 2015-07-30 09:48:45 CEST
Can you please wilcal test it with install Mageia to vbox don't use 4.1 iso files as it's have eol firefox,if there is some bugs like html5 we can't provide you any support only if you update it to 38.

This is like kernel testing you need to install it to get testing it of cource kernels need to test with real hardware not in vbox same to iso testing.
Comment 45 William Kenney 2015-07-30 17:37:34 CEST
(In reply to Otto Leipälä from comment #44)

> Can you please wilcal test it with install Mageia to vbox don't use 4.1 iso
> files as it's have eol firefox,if there is some bugs like html5 we can't
> provide you any support only if you update it to 38.

At this point in reference to Vbox 5 testing with Mageia 4 Live media I think
that system sounds like the "pong" at power up and down and paplay of .wav files
are a valid test. Those are the default settings of M4 and should be playable
when installed as a Vbox 5 client. Per my comment 43 it does not look like M4.1
live media is playing even those basic sounds.

> This is like kernel testing you need to install it to get testing it of
> source kernels need to test with real hardware not in vbox same to iso
> testing.

Do note per my comment 10. I have reverted back to a stand alone drive that was installed with, and updated, Mageia 5. To that I installed, from updates_testing VirtualBox Ver 5. There were no upgrades to this install. Also I am not using any codecs so therefore any sounds like system sounds, paplay and vlc must execute the sound. I think once we get past this initial stage, or explain what's going on, I'll erase the drive, install M5 all over again, install Vbox 4.2.28-1, then upgrade that to Vbox Ver 5. One last step will be to see if Vbox 5 installed on this Mageia 5 system can support something like Ubuntu and have its sound work.

> This is like kernel testing.

Maybe harder. Thanks for the support and again any suggestions are warmly welcomed.
Comment 46 Brian Rockwell 2015-07-30 17:52:46 CEST
Interesting.

I switched audio to "Intel HD Audio" on my VBox 5.0 built VM and yes audio started working.

Changing default to that might be a good idea.  FYI - physical hardware here is all AMD
Comment 47 William Kenney 2015-07-30 17:58:22 CEST
(In reply to Brian Rockwell from comment #46)

> I switched audio to "Intel HD Audio" on my VBox 5.0 built VM and yes audio
> started working.
> 
> Changing default to that might be a good idea.  FYI - physical hardware here
> is all AMD

Brian could you try a new M4 Live-CD client. See if you get any sound from that.
Thanks
Comment 48 Dave Hodgins 2015-08-03 21:50:15 CEST
Running a Mageia 5 guest on a Mageia 4 install, the guest additions don't work
so it's stuck in 800x600 resolution. I think Mageia 4, 5 and cauldron versions
of virtualbox should be kept in sync.

CC: (none) => davidwhodgins

Comment 49 William Kenney 2015-08-03 23:08:39 CEST
(In reply to Dave Hodgins from comment #48)

> I think Mageia 4, 5 and cauldron
> versions of virtualbox should be kept in sync.

I think there's quite a lot of issues going on with Vbox right now especially for Vbox 5. Tread carefully and keeping them all in sync may be a good idea. Maybe waiting to go to Vbox 5 after M4 is obsoleted may be a good idea.
Comment 50 William Kenney 2015-08-06 20:20:56 CEST
FWIW. linuxmint-17.1-kde-64bit.iso installed as a client runs just fine.
Audio works with Audio set to: ICH AC97
Audio does not work with Audio set to: Intel HD Audio
Comment 51 Otto Leipälä 2015-08-15 15:51:17 CEST
(In reply to William Kenney from comment #49)
> (In reply to Dave Hodgins from comment #48)
> 
> > I think Mageia 4, 5 and cauldron
> > versions of virtualbox should be kept in sync.
> 
> I think there's quite a lot of issues going on with Vbox right now
> especially for Vbox 5. Tread carefully and keeping them all in sync may be a
> good idea. Maybe waiting to go to Vbox 5 after M4 is obsoleted may be a good
> idea.

No we don't wait just because Mga4 is eol,we push this how we do to every other updates Mga4 is not blocker.
Comment 52 William Kenney 2015-08-15 16:53:42 CEST
(In reply to Otto Leipälä from comment #51)

> No we don't wait just because Mga4 is eol,we push this how we do to every
> other updates Mga4 is not blocker.

I think this would be a good issue to run past the Council meeting.
I'll bring it up next time that convenes.
Comment 53 Otto Leipälä 2015-08-17 19:08:06 CEST
Council will not overide  any sysadmin decides as Tmb is both virtualbox maintaner and sysadmin,so he decides goes over council and they need to change that syadmins.

He will anyway do it in council meeting as sysadmin so can you please explain your point why it need to go to council ?.
Comment 54 Thomas Backlund 2015-08-17 19:32:44 CEST
@otto: I do obey council, that's the whole point of having a Council managing the distribution...

@all:
Now... the council has already decided to go ahead with virtualbox 5, but I want it to work good enough..

And since I want to keep vbox in sync atleast on stable releases to not create vm issues due to vbox/addons mismatch it needs to be done properly

Now upstream released a new maintenance release on the vbox 5 branch, so I've pushed it to both mga4 and mga5 to see if it works better now:

so:
Mga5: SRPMS:
kmod-vboxadditions-5.0.2-1.mga5.src.rpm
kmod-virtualbox-5.0.2-1.mga5.src.rpm
virtualbox-5.0.2-1.mga5.src.rpm

Mga5: i586:
dkms-vboxadditions-5.0.2-1.mga5.noarch.rpm
dkms-virtualbox-5.0.2-1.mga5.noarch.rpm
python-virtualbox-5.0.2-1.mga5.i586.rpm
vboxadditions-kernel-3.19.8-desktop-3.mga5-5.0.2-1.mga5.i586.rpm
vboxadditions-kernel-3.19.8-desktop586-3.mga5-5.0.2-1.mga5.i586.rpm
vboxadditions-kernel-3.19.8-server-3.mga5-5.0.2-1.mga5.i586.rpm
vboxadditions-kernel-desktop586-latest-5.0.2-1.mga5.i586.rpm
vboxadditions-kernel-desktop-latest-5.0.2-1.mga5.i586.rpm
vboxadditions-kernel-server-latest-5.0.2-1.mga5.i586.rpm
virtualbox-5.0.2-1.mga5.i586.rpm
virtualbox-devel-5.0.2-1.mga5.i586.rpm
virtualbox-guest-additions-5.0.2-1.mga5.i586.rpm
virtualbox-kernel-3.19.8-desktop-3.mga5-5.0.2-1.mga5.i586.rpm
virtualbox-kernel-3.19.8-desktop586-3.mga5-5.0.2-1.mga5.i586.rpm
virtualbox-kernel-3.19.8-server-3.mga5-5.0.2-1.mga5.i586.rpm
virtualbox-kernel-desktop586-latest-5.0.2-1.mga5.i586.rpm
virtualbox-kernel-desktop-latest-5.0.2-1.mga5.i586.rpm
virtualbox-kernel-server-latest-5.0.2-1.mga5.i586.rpm
x11-driver-video-vboxvideo-5.0.2-1.mga5.i586.rpm

Mga5: x86_64:
dkms-vboxadditions-5.0.2-1.mga5.noarch.rpm
dkms-virtualbox-5.0.2-1.mga5.noarch.rpm
python-virtualbox-5.0.2-1.mga5.x86_64.rpm
vboxadditions-kernel-3.19.8-desktop-3.mga5-5.0.2-1.mga5.x86_64.rpm
vboxadditions-kernel-3.19.8-server-3.mga5-5.0.2-1.mga5.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.0.2-1.mga5.x86_64.rpm
vboxadditions-kernel-server-latest-5.0.2-1.mga5.x86_64.rpm
virtualbox-5.0.2-1.mga5.x86_64.rpm
virtualbox-devel-5.0.2-1.mga5.x86_64.rpm
virtualbox-guest-additions-5.0.2-1.mga5.x86_64.rpm
virtualbox-kernel-3.19.8-desktop-3.mga5-5.0.2-1.mga5.x86_64.rpm
virtualbox-kernel-3.19.8-server-3.mga5-5.0.2-1.mga5.x86_64.rpm
virtualbox-kernel-desktop-latest-5.0.2-1.mga5.x86_64.rpm
virtualbox-kernel-server-latest-5.0.2-1.mga5.x86_64.rpm
x11-driver-video-vboxvideo-5.0.2-1.mga5.x86_64.rpm



Mga4: SRPMS:
kmod-vboxadditions-5.0.2-1.mga4.src.rpm
kmod-virtualbox-5.0.2-1.mga4.src.rpm
virtualbox-5.0.2-1.mga4.src.rpm

Mga4: i586:
dkms-vboxadditions-5.0.2-1.mga4.noarch.rpm
dkms-virtualbox-5.0.2-1.mga4.noarch.rpm
python-virtualbox-5.0.2-1.mga4.i586.rpm
vboxadditions-kernel-3.14.43-desktop-1.mga4-5.0.2-1.mga4.i586.rpm
vboxadditions-kernel-3.14.43-desktop586-1.mga4-5.0.2-1.mga4.i586.rpm
vboxadditions-kernel-3.14.43-server-1.mga4-5.0.2-1.mga4.i586.rpm
vboxadditions-kernel-desktop586-latest-5.0.2-1.mga4.i586.rpm
vboxadditions-kernel-desktop-latest-5.0.2-1.mga4.i586.rpm
vboxadditions-kernel-server-latest-5.0.2-1.mga4.i586.rpm
virtualbox-5.0.2-1.mga4.i586.rpm
virtualbox-devel-5.0.2-1.mga4.i586.rpm
virtualbox-guest-additions-5.0.2-1.mga4.i586.rpm
virtualbox-kernel-3.14.43-desktop-1.mga4-5.0.2-1.mga4.i586.rpm
virtualbox-kernel-3.14.43-desktop586-1.mga4-5.0.2-1.mga4.i586.rpm
virtualbox-kernel-3.14.43-server-1.mga4-5.0.2-1.mga4.i586.rpm
virtualbox-kernel-desktop586-latest-5.0.2-1.mga4.i586.rpm
virtualbox-kernel-desktop-latest-5.0.2-1.mga4.i586.rpm
virtualbox-kernel-server-latest-5.0.2-1.mga4.i586.rpm
x11-driver-video-vboxvideo-5.0.2-1.mga4.i586.rpm

Mga4: x86_64:
dkms-vboxadditions-5.0.2-1.mga4.noarch.rpm
dkms-virtualbox-5.0.2-1.mga4.noarch.rpm
python-virtualbox-5.0.2-1.mga4.x86_64.rpm
vboxadditions-kernel-3.14.43-desktop-1.mga4-5.0.2-1.mga4.x86_64.rpm
vboxadditions-kernel-3.14.43-server-1.mga4-5.0.2-1.mga4.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.0.2-1.mga4.x86_64.rpm
vboxadditions-kernel-server-latest-5.0.2-1.mga4.x86_64.rpm
virtualbox-5.0.2-1.mga4.x86_64.rpm
virtualbox-devel-5.0.2-1.mga4.x86_64.rpm
virtualbox-guest-additions-5.0.2-1.mga4.x86_64.rpm
virtualbox-kernel-3.14.43-desktop-1.mga4-5.0.2-1.mga4.x86_64.rpm
virtualbox-kernel-3.14.43-server-1.mga4-5.0.2-1.mga4.x86_64.rpm
virtualbox-kernel-desktop-latest-5.0.2-1.mga4.x86_64.rpm
virtualbox-kernel-server-latest-5.0.2-1.mga4.x86_64.rpm
x11-driver-video-vboxvideo-5.0.2-1.mga4.x86_64.rpm

Summary: update request: virtualbox 5 => update request: virtualbox 5.0.2
Whiteboard: (none) => MGA4TOO

Comment 55 Dave Hodgins 2015-08-17 19:43:02 CEST
Created attachment 6936 [details]
i586 kernel panic

Not sure if this is a vb problem or a kernel problem.

Trying to run Mageia 5 i586 under vb on a Mageia 4 x86_64 host I'm getting
the attached kernel panic.
Comment 56 Dave Hodgins 2015-08-17 19:48:25 CEST
I can boot it with the 3.19.8-desktop-3.mga5 kernel, but not with the
kernel-desktop-4.1.5-1.mga5-1-1.mga5 kernel, so it looks more likely to be
a kernel problem, though it could still be some interaction between the
kernel and vb.
Comment 57 Thomas Backlund 2015-08-17 19:52:28 CEST
Do you have Oracle Virtualbox extensions installed ?

Are they updated to match the 5.0.2

http://download.virtualbox.org/virtualbox/5.0.2/Oracle_VM_VirtualBox_Extension_Pack-5.0.2-102096.vbox-extpack
Comment 58 Dave Hodgins 2015-08-17 20:37:22 CEST
(In reply to Thomas Backlund from comment #57)
> Do you have Oracle Virtualbox extensions installed ?
> 
> Are they updated to match the 5.0.2
> 
> http://download.virtualbox.org/virtualbox/5.0.2/
> Oracle_VM_VirtualBox_Extension_Pack-5.0.2-102096.vbox-extpack

I have Oracle_VM_VirtualBox_Extension_Pack-5.0.2-102096.vbox-extpack installed.
As noted on the qa discuss mailing list, I had to rename it from a .gz
extension to a vbox-extpack extension to get vb to install it.

$ VBoxManage list extpacks
Extension Packs: 1
Pack no. 0:   Oracle VM VirtualBox Extension Pack
Version:      5.0.2
Revision:     102096
Edition:      
Description:  USB 2.0 and USB 3.0 Host Controller, Host Webcam, VirtualBox RDP, PXE ROM, Disk Encryption.
VRDE Module:  VBoxVRDP
Usable:       true
Comment 59 William Kenney 2015-08-17 21:12:30 CEST
I should have some time tomorrow to tinker with it.
Comment 60 William Kenney 2015-08-17 21:15:40 CEST
I think initially going forward I am going to test this as the initial install of Vbox will be 5.x from upgrades_testing rather then an upgrade from 4.x. If that works then I'll try the upgrade.
Comment 61 Otto Leipälä 2015-08-18 14:51:55 CEST
Problem is only with vbox gui as from terminal it installs it without any problems.
Comment 62 William Kenney 2015-08-18 19:23:46 CEST
On real hardware, M5, KDE, 64-bit

Package(s) under test:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
nvidia-current-kernel-desktop-latest

default install of:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
nvidia-current-kernel-desktop-latest

[root@localhost wilcal]# uname -a
Linux localhost 4.1.5-desktop-1.mga5 #1 SMP Mon Aug 10 22:46:57 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.1.5-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.0.2-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.0.2-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.0.2-1.mga5.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.0.2-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.0.2-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.0.2-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi nvidia-current-kernel-desktop-latest
Package nvidia-current-kernel-desktop-latest-346.82-1.mga5.nonfree.x86_64 is already installed
[root@localhost wilcal]# lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nouveau
        Kernel modules: nvidiafb, nouveau
        
Upon launching a Vbox client a VirtualBox -  An error message is displayed:

Failed to open a session for virtual machine M5 i586 KDE Live-DVD. Details:
The virtual machine 'M5 i586 KDE Live-DVD' has terminated unexpectedly during startup with exit code 1 (0x1).

Result Code: 
NS_ERROR_FAILURE (0x80004005)
Component: 
MachineWrap
Interface: 
IMachine {f30138d4-e5ea-4b3a-8858-a059de4c93fd}

and

VirtualBox - Error in suplib0sinit

Kernel driver not installed (rc=-1908)

The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or there is a permission problem with /dev/vboxdrv. Please reinstall the kernel module by executing

'/etc/init.d/vboxdrv setup'

as root. If it is available in your distribution, you should install the DKMS package first. This package keeps track of Linux kernel changes and recompiles the vboxdrv kernel module if necessary.

end error message.

So I lost the Nvidia driver and the client won't launch. Should I not be using the kernel ( 4.1.5-1 ) in updates_testing? Or should I have stayed with the old one ( 3.19.8-2 )?
Comment 63 Thomas Backlund 2015-08-18 19:48:47 CEST
for the 4.1.5 kernel you need to use dkms-virtualbox as I cant build kmod packages both for 3.19 and 4.1 in testing at the same time, so the prebuilt mods are only built for 3.19 for now
Comment 64 William Kenney 2015-08-18 20:33:23 CEST
(In reply to Thomas Backlund from comment #63)

> for the 4.1.5 kernel you need to use dkms-virtualbox as I cant build kmod
> packages both for 3.19 and 4.1 in testing at the same time, so the prebuilt
> mods are only built for 3.19 for now

Thanks Thomas. I'll run it up again tomorrow with the 3.19 kernel.
Comment 65 David Walser 2015-08-18 21:14:58 CEST
This update will also fix CVE-2015-2594:
http://lwn.net/Vulnerabilities/654905/
Comment 66 Otto Leipälä 2015-08-19 06:22:28 CEST
I have tested vbox video driver and guest additions in guest Mageia 5 install by updating them from testing and they work out of box like shared folders.
Comment 67 William Kenney 2015-08-19 19:44:09 CEST
On real hardware, M5, KDE, 64-bit

Package(s) under test:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
nvidia-current-kernel-desktop-latest

default install of:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
nvidia-current-kernel-desktop-latest

[root@localhost wilcal]# uname -a
Linux localhost 3.19.8-desktop-3.mga5 #1 SMP Sat Jun 13 17:05:48 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.19.8-3.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.0.2-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.0.2-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.0.2-1.mga5.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.0.2-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.0.2-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.0.2-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi nvidia-current-kernel-desktop-latest
Package nvidia-current-kernel-desktop-latest-346.82-1.mga5.nonfree.x86_64 is already installed
[root@localhost wilcal]# lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_current
        
Client: M5 i586 KDE Live-DVD, set Audio to Intel HD Audio
boots to a working desktop. Sound is ok but very low.

Client: M4.1 x86_64 KDE Live-DVD, Audio set to Intel HD Audio or ICH A97
boots to a working desktop. No sound.

Client: M5 x86_64 CI installed. set Audio to Intel HD Audio Installed just fine.
rebooted just just fine. Audio is low but working.

Screen sizes are all correct.

I installed: Oracle_VM_VirtualBox_Extension_Pack-5.0.2-102096.vbox-extpack
rebooted the system and Vbox did not see a USB drive. Tried the older
Oracle_VM_VirtualBox_Extension_Pack-5.0.0-101573.vbox-extpack that didn't
work either.
Comment 68 Otto Leipälä 2015-08-19 20:59:23 CEST
Have your guest install updated vbox video driver and guest additions ? as those packages are needed to match host os vbox version.Don't try to test those in host it will not use vbox video or guest additions these are only made to guest systems.
Comment 69 William Kenney 2015-08-19 21:24:33 CEST
(In reply to Otto Leipälä from comment #68)

> Have your guest install updated vbox video driver and guest additions ? as
> those packages are needed to match host os vbox version.Don't try to test
> those in host it will not use vbox video or guest additions these are only
> made to guest systems.

I've gone through this at least a half dozen times now. Vbox5 looks ok
if the client is M5. Both for audio and video. M4 also looks good except
no matter which way you set it up there ain't no sound. Yes, all the video
drivers and guest additions are correct. Making sound does not require
any additional codecs or whatever. I'm listening for basic system sounds.
The "bong" when KDE finishes setting up it's desktop. That don't need no
driver, codecs or guest additions.

I'm not so sure what's going on with the Oracle_VM_VirtualBox_Extension_Pack's.
For some reason that's not working either.

Again, the Vbox testing I am doing now is starting with a blank hard drive,
install M5, update it. Enable the updates_testing repo. Then install Vbox5.
Not update from Vbox4 -> Vbox5. Forget starting with Vbox4.

With an M5 client the Audio must be set to: Intel HD Audio.
Comment 70 Otto Leipälä 2015-08-20 11:52:17 CEST
Sound problem is fixed in 5.0.2 so it's your problem as it's working in my Mga4 guest no problem what i set to sound device ac97 or intel hd it works.

https://www.virtualbox.org/ticket/14361#comment:25

Wrong guest additions version can wilcal break sound, main install virtualbox need to match your Mga4 what is installed to virtualbox guest additions.
Comment 71 William Kenney 2015-08-20 14:00:23 CEST
(In reply to Otto Leipälä from comment #70)
> Sound problem is fixed in 5.0.2 so it's your problem as it's working in my
> Mga4 guest no problem what i set to sound device ac97 or intel hd it works.
> 
> https://www.virtualbox.org/ticket/14361#comment:25
> 
> Wrong guest additions version can wilcal break sound, main install
> virtualbox need to match your Mga4 what is installed to virtualbox guest
> additions.

It's not working here and it's broken.
Comment 72 William Kenney 2015-08-20 16:22:55 CEST
Lemme clarify my comment on the fact that this update is broken. It appears
to be broken in the case of the sound for M4. M4 of course is scheduled to
go EOL in just a few weeks. So this issue becomes mute. I don't see a reason
to not continue to test M4 under Vbox just accept the fact that the sound is
not going to work and we're not going to put any cycles into that issue to
resolve it.
Comment 73 Otto Leipälä 2015-08-20 17:20:03 CEST
There is no bug in virtualbox anymore as they fixed it so this update is bug free as it works.

Boot your virtualbox installed Mga4 guest and paste this output not to your main install only from that what is installed in virtualbox image. 

If that commands paste nothing you have wrong guest additions installed in guest system and you need to update them.

rpm -qa virtualbox-guest-additions-5.0.2-1.mga4.x86_64.rpm

Or i586 guest Mga4. rpm -qa virtualbox-guest-additions-5.0.2-1.mga4.i586.rpm
Comment 74 Florian Hubold 2015-08-20 19:02:47 CEST
(In reply to Otto Leipälä from comment #73)
> rpm -qa virtualbox-guest-additions-5.0.2-1.mga4.x86_64.rpm
> 
> Or i586 guest Mga4. rpm -qa virtualbox-guest-additions-5.0.2-1.mga4.i586.rpm

Both commands will not work, you query for a filename not an installed package, also installed packages do not show the architecture or .rpm suffix in rpm -qa default list format. It should be

rpm -q virtualbox-guest-additions

to query if it's installed and what version.


Totally apart from that it would be appreciated if you could tone down a bit. Quite aggressive replies from you IMHO.
Comment 75 David Walser 2015-08-20 21:33:31 CEST
(In reply to Thomas Backlund from comment #42)
> OK, found the issue.
> 
> In the VM settings, on the "Audio" section, the default "Audio Controller"
> is "ICH AC97"
> 
> That stays silent.
> 
> If you change that to "Intel HD Audio" you will get sound.
> 
> I guess I should adapt the defaults for new systems of Vbox 5 to the newer
> HD Audio interface.

I think that's a good idea; the default should be changed to Intel HD Audio instead of AC97.  I tried a Windows 7 VM today and had the same issue, sound doesn't work with AC97 but works fine with Intel HD Audio.
Comment 76 Samuel Verschelde 2015-08-21 11:01:02 CEST
Testing on Mageia 4 with my VMs. Looks good for now.
Comment 77 Otto Leipälä 2015-08-21 18:24:42 CEST
It have looked from first build of virtualbox 5.x here with Mga4 and Mga5 guest.
Comment 78 Otto Leipälä 2015-08-21 19:29:25 CEST
I found that extension pack install problem it's gksu-polkit i remember having same kind of issues,when i used loooong time ago used gnome h.... shell that was biggiest mistake i have ever done.

So tmb install a real desktop :)

/me hides
Comment 79 Thomas Backlund 2015-08-21 21:29:42 CEST
vbox is now defaulting to HD Audio:

Mga 5:

SRPMS:
kmod-vboxadditions-5.0.2-2.mga5.src.rpm
kmod-virtualbox-5.0.2-2.mga5.src.rpm
virtualbox-5.0.2-2.mga5.src.rpm

i586:
dkms-vboxadditions-5.0.2-2.mga5.noarch.rpm
dkms-virtualbox-5.0.2-2.mga5.noarch.rpm
python-virtualbox-5.0.2-2.mga5.i586.rpm
vboxadditions-kernel-3.19.8-desktop-3.mga5-5.0.2-2.mga5.i586.rpm
vboxadditions-kernel-3.19.8-desktop586-3.mga5-5.0.2-2.mga5.i586.rpm
vboxadditions-kernel-3.19.8-server-3.mga5-5.0.2-2.mga5.i586.rpm
vboxadditions-kernel-desktop586-latest-5.0.2-2.mga5.i586.rpm
vboxadditions-kernel-desktop-latest-5.0.2-2.mga5.i586.rpm
vboxadditions-kernel-server-latest-5.0.2-2.mga5.i586.rpm
virtualbox-5.0.2-2.mga5.i586.rpm
virtualbox-devel-5.0.2-2.mga5.i586.rpm
virtualbox-guest-additions-5.0.2-2.mga5.i586.rpm
virtualbox-kernel-3.19.8-desktop-3.mga5-5.0.2-2.mga5.i586.rpm
virtualbox-kernel-3.19.8-desktop586-3.mga5-5.0.2-2.mga5.i586.rpm
virtualbox-kernel-3.19.8-server-3.mga5-5.0.2-2.mga5.i586.rpm
virtualbox-kernel-desktop586-latest-5.0.2-2.mga5.i586.rpm
virtualbox-kernel-desktop-latest-5.0.2-2.mga5.i586.rpm
virtualbox-kernel-server-latest-5.0.2-2.mga5.i586.rpm
x11-driver-video-vboxvideo-5.0.2-2.mga5.i586.rpm

x86_64:
dkms-vboxadditions-5.0.2-2.mga5.noarch.rpm
dkms-virtualbox-5.0.2-2.mga5.noarch.rpm
python-virtualbox-5.0.2-2.mga5.x86_64.rpm
vboxadditions-kernel-3.19.8-desktop-3.mga5-5.0.2-2.mga5.x86_64.rpm
vboxadditions-kernel-3.19.8-server-3.mga5-5.0.2-2.mga5.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.0.2-2.mga5.x86_64.rpm
vboxadditions-kernel-server-latest-5.0.2-2.mga5.x86_64.rpm
virtualbox-5.0.2-2.mga5.x86_64.rpm
virtualbox-devel-5.0.2-2.mga5.x86_64.rpm
virtualbox-guest-additions-5.0.2-2.mga5.x86_64.rpm
virtualbox-kernel-3.19.8-desktop-3.mga5-5.0.2-2.mga5.x86_64.rpm
virtualbox-kernel-3.19.8-server-3.mga5-5.0.2-2.mga5.x86_64.rpm
virtualbox-kernel-desktop-latest-5.0.2-2.mga5.x86_64.rpm
virtualbox-kernel-server-latest-5.0.2-2.mga5.x86_64.rpm
x11-driver-video-vboxvideo-5.0.2-2.mga5.x86_64.rpm





Mga 4:

SRPMS:
kmod-vboxadditions-5.0.2-2.mga4.src.rpm
kmod-virtualbox-5.0.2-2.mga4.src.rpm
virtualbox-5.0.2-2.mga4.src.rpm

i586:
dkms-vboxadditions-5.0.2-2.mga4.noarch.rpm
dkms-virtualbox-5.0.2-2.mga4.noarch.rpm
python-virtualbox-5.0.2-2.mga4.i586.rpm
vboxadditions-kernel-3.14.43-desktop-1.mga4-5.0.2-2.mga4.i586.rpm
vboxadditions-kernel-3.14.43-desktop586-1.mga4-5.0.2-2.mga4.i586.rpm
vboxadditions-kernel-3.14.43-server-1.mga4-5.0.2-2.mga4.i586.rpm
vboxadditions-kernel-desktop586-latest-5.0.2-2.mga4.i586.rpm
vboxadditions-kernel-desktop-latest-5.0.2-2.mga4.i586.rpm
vboxadditions-kernel-server-latest-5.0.2-2.mga4.i586.rpm
virtualbox-5.0.2-2.mga4.i586.rpm
virtualbox-devel-5.0.2-2.mga4.i586.rpm
virtualbox-guest-additions-5.0.2-2.mga4.i586.rpm
virtualbox-kernel-3.14.43-desktop-1.mga4-5.0.2-2.mga4.i586.rpm
virtualbox-kernel-3.14.43-desktop586-1.mga4-5.0.2-2.mga4.i586.rpm
virtualbox-kernel-3.14.43-server-1.mga4-5.0.2-2.mga4.i586.rpm
virtualbox-kernel-desktop586-latest-5.0.2-2.mga4.i586.rpm
virtualbox-kernel-desktop-latest-5.0.2-2.mga4.i586.rpm
virtualbox-kernel-server-latest-5.0.2-2.mga4.i586.rpm
x11-driver-video-vboxvideo-5.0.2-2.mga4.i586.rpm

x86_64:
dkms-vboxadditions-5.0.2-2.mga4.noarch.rpm
dkms-virtualbox-5.0.2-2.mga4.noarch.rpm
python-virtualbox-5.0.2-2.mga4.x86_64.rpm
vboxadditions-kernel-3.14.43-desktop-1.mga4-5.0.2-2.mga4.x86_64.rpm
vboxadditions-kernel-3.14.43-server-1.mga4-5.0.2-2.mga4.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.0.2-2.mga4.x86_64.rpm
vboxadditions-kernel-server-latest-5.0.2-2.mga4.x86_64.rpm
virtualbox-5.0.2-2.mga4.x86_64.rpm
virtualbox-devel-5.0.2-2.mga4.x86_64.rpm
virtualbox-guest-additions-5.0.2-2.mga4.x86_64.rpm
virtualbox-kernel-3.14.43-desktop-1.mga4-5.0.2-2.mga4.x86_64.rpm
virtualbox-kernel-3.14.43-server-1.mga4-5.0.2-2.mga4.x86_64.rpm
virtualbox-kernel-desktop-latest-5.0.2-2.mga4.x86_64.rpm
virtualbox-kernel-server-latest-5.0.2-2.mga4.x86_64.rpm
x11-driver-video-vboxvideo-5.0.2-2.mga4.x86_64.rpm
Comment 80 William Kenney 2015-08-23 00:52:38 CEST
On real hardware, M5, KDE, 64-bit

Start with a completely blank drive. Install M5 updated ( use boot.iso )
Install only Vbox5 from updates_testing repo

Package(s) under test:

virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo

default install of:
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo

[root@localhost wilcal]# uname -a
Linux localhost 3.19.8-desktop-3.mga5 #1 SMP Sat Jun 13 17:05:48 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-3.19.8-3.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.0.2-2.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.0.2-2.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.0.2-2.mga5.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.0.2-2.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.0.2-2.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.0.2-2.mga5.x86_64 is already installed
[root@localhost wilcal]# lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_current
        
Client: M5   i586 KDE Live-DVD, Audio defaults to Intel HD Audio
Boots to a working desktop. Sound is ok but very low.

Client: M4.1 i586 KDE Live-DVD, Audio defaults to Intel HD Audio
Boots to a working desktop. No sound.

Client: M5 x86_64 CI installed. Audio defaults to Intel HD Audio
Rebooted just just fine. Audio is low but working.

Screen sizes are all correct.

Oracle_VM_VirtualBox_Extension_Pack-5.0.2-102096.vbox-extpack was already installed
and USB setup didn't recognize a USB drive.
I installed: Oracle_VM_VirtualBox_Extension_Pack-5.0.2-102096.vbox-extpack,
rebooted the system and Vbox still did not see the USB drive. Something
I don't understand here?
Comment 81 Samuel Verschelde 2015-08-27 17:31:47 CEST
On my MGA4 64 computer, seen no difference with previous virtualbox so everything is ok for me (including sound). Not adding the whiteboard marker because of different testing results from William.
Comment 82 William Kenney 2015-08-27 17:39:30 CEST
(In reply to Samuel VERSCHELDE from comment #81)

> On my MGA4 64 computer, seen no difference with previous virtualbox so
> everything is ok for me (including sound). Not adding the whiteboard marker
> because of different testing results from William.

Did you try the Extension Pack? And if successful how did you do that?
Comment 83 Samuel Verschelde 2015-08-27 17:50:56 CEST
I only tried the windows extension pack so I can't tell for my linux clients. I'm still using the old extension pack which does what I need for now. But I can only talk of my everyday use, that was no thorough testing.
Comment 84 ben mcmonagle 2015-08-30 06:14:41 CEST
host system Mageia 5-i586
desktop = KDE

Installed virtualbox-5.0.2-2.mga4.i586.rpm +
virtualbox-guest-additions-5.0.2-2.mga4.i586.rpm +
all dependencies

added groups: usb and vboxusers to user account

invoke existing virtualbox machine definition - Mageia 5 i586 (3.19.4-desktop-2.mga5, XFCE de.

added VLC + audio / video codecs via Mageia Welcome.

parole player - error "Gstreamer backend error, could not initialise Xv output".
Xine player - audio playback stutters at beginning of .mpg clip
              video unstable with vertical jitter
"warning. the amount of dropped frame is too high, your system might be slow, not properly optimised or just too loaded"

VLC: audio playback stutters at beginning of .mpg clip

CC: (none) => westel

Comment 85 David Walser 2015-08-31 04:36:33 CEST
Finally tested this at home on Mageia 4 i586.

Normal behavior for my VMs is 1280x1024 at the console and 1400x1050 in X.  With the host updated and the VMs additions not, it runs X at 1280x1024, so they continue to make it more difficult to get virtualbox to use the correct screen sizes.  Once the additions in the VM are updated, it's back to normal.  Audio-wise, when the VMs start, it gives some nonsensical pop-up error message complaining about the audio, but you can click the checkbox so it doesn't show that again.  The audio actually works fine (it is set to AC97).  If you change the audio to HDA Intel it doesn't work.

Otherwise, it works fine, and it's certainly fully functional, so it's OK to go as an update.

Mageia 5 i586 previously tested fine at work with some other guest OSs.

Whiteboard: MGA4TOO => MGA4TOO MGA4-32-OK MGA5-32-OK

Comment 86 William Kenney 2015-09-03 21:29:30 CEST
This update works fine.
Testing complete for mga4 32-bit & 64-bit
Validating the update.
Could someone from the sysadmin team push this to updates.
Thanks

Keywords: (none) => validated_update
Whiteboard: MGA4TOO MGA4-32-OK MGA5-32-OK => MGA4TOO MGA4-32-OK MGA4-64-OK MGA5-32-OK MGA5-64-OK
CC: (none) => sysadmin-bugs

Comment 87 Rémi Verschelde 2015-09-04 22:48:03 CEST
Advisory uploaded.

Whiteboard: MGA4TOO MGA4-32-OK MGA4-64-OK MGA5-32-OK MGA5-64-OK => MGA4TOO MGA4-32-OK MGA4-64-OK MGA5-32-OK MGA5-64-OK advisory

Comment 88 Mageia Robot 2015-09-08 09:21:30 CEST
An update for this issue has been pushed to Mageia Updates repository.

http://advisories.mageia.org/MGAA-2015-0113.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED

Comment 89 Morgan Leijström 2015-09-10 00:38:04 CEST
Short question:
  Is the Vitrualbox GUI method to update extension pack supposed to work?

(Rest of this post are details)

I think i remember it have worked before.
I mean, when i in Virtualbox main window select meny Archive > Search for updates it now (after update) say it is latest version, and when I OK that there pops up another dialog saying extension pack is old and i can click to have it updated.

When I do so it downloads it and i enter root password, but then it errors with dialog

Failed to run /usr/lib64/virtualbox/VBoxExtPackHelperApp --stdout /tmp/VBoxExtPackHelper-hvv7v9/stdout --stderr /tmp/VBoxExtPackHelper-hvv7v9/stderr --elevated install --base-dir /usr/lib64/virtualbox/ExtensionPacks --cert-dir /usr/lib64/virtualbox/ExtPackCertificates --name 'Oracle VM VirtualBox Extension Pack' --tarball /home/morgan/.config/VirtualBox/Oracle_VM_VirtualBox_Extension_Pack-5.0.2.vbox-extpack --sha-256 0c49864ea7ab2be8b95c4495e5825b0e48b8611e1761c1b22b86a3f4bf9201bf --replace.

Failed to execute child process "/usr/lib64/virtualbox/VBoxExtPackHelperApp --stdout /tmp/VBoxExtPackHelper-hvv7v9/stdout --stderr /tmp/VBoxExtPackHelper-hvv7v9/stderr --elevated install --base-dir /usr/lib64/virtualbox/ExtensionPacks --cert-dir /usr/lib64/virtualbox/ExtPackCertificates --name 'Oracle VM VirtualBox Extension Pack' --tarball /home/morgan/.config/VirtualBox/Oracle_VM_VirtualBox_Extension_Pack-5.0.2.vbox-extpack --sha-256 0c49864ea7ab2be8b95c4495e5825b0e48b8611e1761c1b22b86a3f4bf9201bf --replace" (No such file or directory)

... closing that dialog i get another dialog:

Misslyckades med att installera tilläggspaketet /home/morgan/.config/VirtualBox/Oracle_VM_VirtualBox_Extension_Pack-5.0.2.vbox-extpack.

The installer failed with exit code 1: .

Resultatkod: NS_ERROR_FAILURE (0x80004005)
Komponent: ExtPackManagerWrap
Gränssnitt: IExtPackManager {edba9d10-45d8-b440-1712-46ac0c9bc4c5}


However failing that, I got no problem to download and it in console as root do
# VBoxManage extpack install --replace Oracle_VM_VirtualBox_Extension_Pack-5.0.4-102546.vbox-extpack )

CC: (none) => fri


Note You need to log in before you can comment on or make changes to this bug.